[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomEdit.MaxLength

The maximum length of the value entered in Text, or 0 (zero) for unlimited length.

## Declaration

Source position: stdctrls.pp line 866

`public property TCustomEdit.MaxLength : Integer read FMaxLength write SetMaxLength default 0;`

## Description

In Delphi MaxLength only limits user input. The LCL actually restricts the maximum length of the stored text; this simplifies the implementation for non-Win32 widgetsets.

Remark: | MaxLength is not supported for the QT4 widgetset.